v 14.0 Third Party 93
Download for v 14.0 Deploy on Odoo.sh
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Inventory (stock)
Sales (sale_management)
Discuss (mail)
Invoicing (account)
Lines of code 188
Technical Name sale_stock_alert
LicenseAGPL-3
Websitehttp://www.tohsoluciones.com
Versions 13.0 14.0 15.0
You bought this module and need support? Click here!
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Inventory (stock)
Sales (sale_management)
Discuss (mail)
Invoicing (account)
Lines of code 188
Technical Name sale_stock_alert
LicenseAGPL-3
Websitehttp://www.tohsoluciones.com
Versions 13.0 14.0 15.0

Sale Stock Alert

Alerta email por falta de stock

Vision General

Esta aplicacion proporciona funcionalidad para notificar via correo electronico (email) al momento de confirmar una venta que contenga un producto sin inventario en ese momento. Una mala gestion del stock e inventario, pueden ocasionar el incumplimiento de objetivos de venta y afectar seriamente el proceso de produccion.

Notificacion al vender productos SIN STOCK

Video Youtube

Configuracion general

1. Habilitar la funcionalidad desde: Ajustes -> Sale Stock Alert

2. Configurar la plantilla de correo electronico que se utilizara para notificar sobre la falta de stock

3. Configurar a las personas a quienes se les notificara

ajustes aplicacion odoo sale stock alert

Uso

Por default, al agregar productos dentro de un pedido de venta, Odoo escanea y detecta los productos sin inventario. Se marca con un icono color rojo todos aquellos productos sin inventario suficiente para la cantidad solicitada.

venta de producto sin stock


En el momento que la venta sea confirmada, se verificara la disponibilidad de cada producto y enviara una notificacion via email a los encargados que fueron configurados para informar del faltante en el inventario. El correo contiene el folio del pedido asi como la cantidad faltante de cada producto

alerta de correo del stock


TOH SOLUCIONES DIGITALES

En Toh Soluciones Digitales tenemos una amplia experiencia en la implementacion de aplicaciones basadas en Odoo. Somos expertos implementando Odoo y por ello podemos ofrecerle la solución que mejor se adapte a sus necesidades. Le ayudamos a tener un control completo de los procesos de administracion, ventas, compras, inventarios y mas. Analizamos la version de Odoo adecuado a sus procesos de negocio con tropicalizacion latinoamericana y Mexicana.

Contactanos

Necesita ayuda?


Si tiene algo que compartirnos con respecto a este modulo, por favor permitenos saber. Estamos listos para ofrecerte nuestro apoyo.

Envianos un correo electronico

contacto@tohsoluciones.com

Visitanos en

www.tohsoluciones.com

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Perfect!!
by
Samuel Martin Martin Quispe Valdivia
on 11/10/21, 3:26 PM

Listo, ahora si funciona, todo perfecto.


Error
by
Samuel Martin Martin Quispe Valdivia
on 11/8/21, 4:35 PM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/opt/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/opt/odoo/odoo/odoo/http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "/opt/odoo/odoo/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/opt/odoo/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/opt/odoo/odoo/odoo/http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/odoo/odoo/odoo/http.py", line 912, in __call__

    return self.method(*args, **kw)

  File "/opt/odoo/odoo/odoo/http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1393, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1381, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/odoo/odoo/odoo/api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/opt/odoo/odoo/odoo/api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-72>", line 2, in button_immediate_install

  File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 73, in check_and_log

    return method(self, *args, **kwargs)

  File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 474, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/opt/odoo/odoo/odoo/modules/registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "/opt/odoo/odoo/odoo/modules/loading.py", line 453, in load_modules

    processed_modules += load_marked_modules(cr, graph,

  File "/opt/odoo/odoo/odoo/modules/loading.py", line 346, in load_marked_modules

    loaded, processed = load_module_graph(

  File "/opt/odoo/odoo/odoo/modules/loading.py", line 178, in load_module_graph

    load_openerp_module(package.name)

  File "/opt/odoo/odoo/odoo/modules/module.py", line 358, in load_openerp_module

    __import__('odoo.addons.' + module_name)

  File "/opt/odoo/odoo/addons/sale_stock_alert/__init__.py", line 3, in <module>

    from . import controllers

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/opt/odoo/odoo/odoo/http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/odoo/odoo/odoo/http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ImportError: cannot import name 'controllers' from partially initialized module 'odoo.addons.sale_stock_alert' (most likely due to a circular import) (/opt/odoo/odoo/addons/sale_stock_alert/__init__.py)

Re: Error
by
Sergio Rivero Chan
on 11/9/21, 12:20 PM Author

Hola, muchas gracias por compartir el error.

Te comento que, ¡ya se ha solucionado y actualizado en el link de esta misma publicación!. Por favor, si marca algún error nuevamente, mándanos un correo al contacto@tohsoluciones.com para ponernos en contacto contigo y resolverlo de una manera más eficaz.



Hello, thank you very much for sharing the error.


I tell you that, ¡it has already been solved and updated in the link of this publication!. Please, if you mark an error again, send us an email to contacto@tohsoluciones.com to get in touch with you and resolve it in a more efficient way.